Bug 738392 - netfront MTU drops to 1500 after domain migration [rhel-5.7.z]
Summary: netfront MTU drops to 1500 after domain migration [rhel-5.7.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 733416
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 17:18 UTC by RHEL Product and Program Management
Modified: 2018-11-14 12:45 UTC (History)
15 users (show)

Fixed In Version: kernel-2.6.18-274.5.1.el5
Doc Type: Bug Fix
Doc Text:
This update introduces support for jumbo frames in the Xen networking backend. However, old guests will still revert to a 1500-byte MTU after migration. This update also changes how the guest will probe the backend's Scatter/Gather I/O functionality. As long as a recent enough kernel is installed in the destination host, this will ensure that the guest will keep a large MTU even after migration.
Clone Of:
Environment:
Last Closed: 2011-10-20 17:31:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-20 17:28:15 UTC

Description RHEL Product and Program Management 2011-09-14 17:18:26 UTC
This bug has been copied from bug #733416 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 4 Phillip Lougher 2011-09-17 01:43:59 UTC
in kernel-2.6.18-274.5.1.el5

linux-2.6-virt-xen-netfront-no-disable-s-g-when-renegotiating-features.patch

Comment 7 errata-xmlrpc 2011-10-20 17:31:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1386.html

Comment 8 Martin Prpič 2011-10-27 09:26:11 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This update introduces support for jumbo frames in the Xen networking backend. However, old guests will still revert to a 1500-byte MTU after migration. This update also changes how the guest will probe the backend's Scatter/Gather I/O functionality. As long as a recent enough kernel is installed in the destination host, this will ensure that the guest will keep a large MTU even after migration.


Note You need to log in before you can comment on or make changes to this bug.